phing-tasks-ext-coverage

# Class: CoverageReportTransformer Source Location: /tasks/ext/coverage/CoverageReportTransformer.php
### Class Overview
Transform a Phing/Xdebug code coverage xml report. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: CoverageReportTransformer.php 552 2009-08-29 12:18:13Z mrook $ | ### Methods __construct setStyleDir setToDir setXmlDocument transform
### Class Details [line 36] Transform a Phing/Xdebug code coverage xml report. The default transformation generates an html report in framed style. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: CoverageReportTransformer.php 552 2009-08-29 12:18:13Z mrook $
since: | 2.1.0
[ Top ] ### Class Methods ### constructor __construct [line 43]
`CoverageReportTransformer __construct( $task)`
#### Parameters:
Task | $task |
[ Top ] ### method setStyleDir [line 48]
`void setStyleDir( $styleDir)`
#### Parameters:
| $styleDir |
[ Top ] ### method setToDir [line 53]
`void setToDir( $toDir)`
#### Parameters:
| $toDir |
[ Top ] ### method setXmlDocument [line 58]
`void setXmlDocument( $document)`
#### Parameters:
| $document |
[ Top ] ### method transform [line 63]
`void transform( )`
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:39 +0200 by phpDocumentor 1.4.3